Skip to main content
`Ctrl`+`K`

# PetscViennaCLIndices

Opaque handle to an index buffer used by PETSc’s ViennaCL `VECVIENNACL` vector backend to perform partial scatters between CPU and GPU memory

## Synopsis

    typedef struct _p_PetscViennaCLIndices *PetscViennaCLIndices;

## See Also

`Vec`, `VECVIENNACL`, `VecCreateSeqViennaCL()`, `VecCreateMPIViennaCL()`, `VecViennaCLCopyToGPUSome_Public()`, `VecViennaCLCopyFromGPUSome_Public()`

## Level

developer

## Location

include/petscvec.h

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages